SuSE 11.3 Security Update : gpg2 (SAT Patch Number 7919)

Medium Nessus Plugin ID 68952


The remote SuSE 11 host is missing one or more security updates.


This update for gpg2 provides the following fixes :

- #780943: Set proper file permissions when en/de-crypting files.

- #798465: Fix an issue that could cause corruption of the public keys database. (CVE-2012-6085)

- #808958: Select proper ciphers when running in FIPS mode.


Apply SAT patch number 7919.

See Also

Plugin Details

Severity: Medium

ID: 68952

File Name: suse_11_gpg2-130613.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2013/07/18

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:gpg2, p-cpe:/a:novell:suse_linux:11:gpg2-lang, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2013/06/13

Reference Information

CVE: CVE-2012-6085